import { Component, javascript, python, java, cdk } from 'projen';
import { GithubWorkflow, CheckoutOptions, UploadArtifactOptions, DownloadArtifactOptions } from 'projen/lib/github';
import { SnykReusableWorkflowOptions } from './snyk-reusable-workflow-options';
import { AuthenticateSnykOptions, InstallSnykPrDiffOptions, RunSnykSastOptions } from './steps';
export interface SnykSastWorkflowOptions extends SnykReusableWorkflowOptions {
    readonly authenticateSnykOptions: AuthenticateSnykOptions;
    readonly delta?: boolean;
    readonly installSnykPrDiffOptions?: InstallSnykPrDiffOptions;
    readonly checkoutBaselineOptions?: CheckoutOptions;
    readonly checkoutCurrentOptions?: CheckoutOptions;
    readonly uploadArtifactOptions?: UploadArtifactOptions;
    readonly downloadArtifactOptions?: DownloadArtifactOptions;
    readonly runSnykSastBaselineOptions?: RunSnykSastOptions;
    readonly runSnykSastCurrentOptions?: RunSnykSastOptions;
}
export declare class SnykSastWorkflow extends Component {
    readonly workflow: GithubWorkflow | undefined;
    constructor(project: javascript.NodeProject | python.PythonProject | java.JavaProject | cdk.JsiiProject, options: SnykSastWorkflowOptions);
}
